Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-validate boost-program_options-devel perl(Time/Local.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          glogg
Version:       1.1.4
Release:       alt4_20
Summary:       Smart interactive log explorer
License:       GPLv3+
URL:           http://glogg.bonnefon.org
Source:        http://glogg.bonnefon.org/files/%{name}-%{version}.tar.gz
# We're using python-markdown2
# thus we need to rename markdown -> markdown2
Patch0:        %{name}-python-markdown.patch
# Look for Qt5DBus rather than QtDBus
Patch1:        %{name}-qt5dbus.patch

BuildRequires:  gcc-c++
BuildRequires:  boost-complete
BuildRequires:  desktop-file-utils
BuildRequires:  icon-theme-hicolor
BuildRequires:  python3-module-markdown2
BuildRequires:  qt5-base-devel
Source44: import.info


%description
%{name} is a multi-platform GUI application to browse and search through
long or complex log files. It is designed with programmers and system
administrators in mind. %{name} can be seen as a graphical, interactive
combination of grep and less.


%prep
%setup -q
%patch0 -p1
%patch1 -p1



%build
%qmake_qt5
make %{?_smp_flags}


%install
make INSTALL_ROOT=%{buildroot}%{_prefix} install
rm -rf %{buildroot}%{_datadir}/doc
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc COPYING README.md TODO doc/documentation.html
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 1.1.4-alt4_20
- rebuild to get rid of unmets

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.1.4-alt3_20
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.1.4-alt3_18
- update to new release by fcimport

* Wed Nov 04 2020 Cronbuild Service <cronbuild@altlinux.org> 1.1.4-alt2_18
- rebuild to get rid of unmets

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.1.4-alt1_18
- update to new release by fcimport

* Sat Jun 13 2020 Igor Vlasenko <viy@altlinux.ru> 1.1.4-alt1_16
- update to new release by fcimport

* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 1.1.4-alt1_15
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.4-alt1_13
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.4-alt1_12
- update to new release by fcimport

* Wed Oct 03 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.4-alt1_10
- update to new release by fcimport

* Tue Jun 12 2018 Cronbuild Service <cronbuild@altlinux.org> 1.1.2-alt2_3
- rebuild to get rid of unmets

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.1.2-alt1_3
- update to new release by fcimport

* Thu Nov 17 2016 Igor Vlasenko <viy@altlinux.ru> 1.1.2-alt1_1
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_1
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_4
- update to new release by fcimport

* Mon Nov 09 2015 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_8
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.99.1-alt1_4
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.99.1-alt1_3
- update to new release by fcimport

* Fri Feb 21 2014 Igor Vlasenko <viy@altlinux.ru> 0.99.0-alt1_1
- update to new release by fcimport

* Tue Nov 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.2-alt1_1
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_5
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_4
- update to new release by fcimport

* Mon Feb 11 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_3
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_1
- initial fc import

